Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Path Parameters
profile_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/ai/settings/provider-profiles/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "deployment_id": "string", "provider": "gemini", "name": "string", "slug": "string", "api_key_set": true, "base_url": "string", "organization": "string", "project": "string", "default_model": "string", "enabled": true, "disable_prompt_caching": true, "disable_reasoning_effort": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}